package org.eco.als.service;

import org.eco.als.domain.bo.AlgorithmBo;
import org.eco.als.domain.bo.TaskBo;

import java.util.List;

/**
 * @Description: IAlgorithmService
 * @Author: GaoKun Wang
 * @Date: 2024/7/30
 */
public interface IAlgorithmService {
    String executePro(AlgorithmBo algorithmBo);

    String executeFalseAlarm(AlgorithmBo algorithmBo);

    String executeFault(AlgorithmBo algorithmBo);

    String batchExecute(TaskBo taskBo);

    List<String> getDataHeader(Long ossId);
    String getDataByOssId(Long ossId);
}
